Permalink
Browse files

Add support for JRuby and Rubinius

  • Loading branch information...
1 parent 6ab4124 commit ef0de289632919c6737dce334535aee9a8e30f10 @alup alup committed Jun 2, 2012
Showing with 19 additions and 7 deletions.
  1. +5 −5 .travis.yml
  2. +10 −0 Gemfile
  3. +4 −1 Gemfile.lock
  4. +0 −1 money-rails.gemspec
View
@@ -5,11 +5,11 @@ rvm:
- 1.9.3
- ruby-head
# TODO: Refactor deps and dummy rails app to enable the following
- #- jruby-18mode
- #- jruby-19mode ## json error
- #- jruby-head ## json error
- #- rbx-18mode ## sqlite3 error
- #- rbx-19mode ## sqlite3 error
+ - jruby-18mode
+ - jruby-19mode ## json error
+ - jruby-head ## json error
+ - rbx-18mode ## sqlite3 error
+ - rbx-19mode ## sqlite3 error
- ree
notifications:
recipients:
View
10 Gemfile
@@ -1,3 +1,13 @@
source 'https://rubygems.org'
gemspec
+
+platforms :jruby do
+ gem "activerecord-jdbc-adapter"
+ gem "activerecord-jdbcsqlite3-adapter"
+ gem "jruby-openssl"
+end
+
+platforms :ruby do
+ gem "sqlite3"
+end
View
@@ -114,9 +114,12 @@ PLATFORMS
ruby
DEPENDENCIES
+ activerecord-jdbc-adapter
+ activerecord-jdbcsqlite3-adapter
guard-rspec (~> 0.7.2)
+ jruby-openssl
money-rails!
rails (~> 3.0)
rspec (~> 2.9.0)
rspec-rails (~> 2.9.0)
- sqlite3 (~> 1.3.6)
+ sqlite3
View
@@ -25,7 +25,6 @@ Gem::Specification.new do |s|
s.add_dependency "railties", "~> 3.0"
s.add_development_dependency "rails", "~> 3.0"
- s.add_development_dependency "sqlite3", "~> 1.3.6"
s.add_development_dependency "rspec", "~> 2.9.0"
s.add_development_dependency "rspec-rails", "~> 2.9.0"
s.add_development_dependency "guard-rspec", "~> 0.7.2"

0 comments on commit ef0de28

Please sign in to comment.